
<div class="biomark-modal">
    <!-- popup-modal -->
  <div  class="form-container p-4 ">
    <form name="patientForm ">
      <!-- <div class="modal-content"> -->
      <!-- <button ng-click='$ctrl.hideModal()' class="close-icon">✖</button> -->
      <button ng-click='$ctrl.closeModal()' class="close-icon">x</button>
      <div class="eorder-patient-form-content" id="modal-popup">
        <!-- <div class="row mt-2">
            <div class="col pr-2">
              <h4>Add Patient</h4>
              <p>Add a new profile into the system</p>
            </div>
          </div> -->
        <div class="eorder-add-patient-text">Add Patient</div>
        <div class="eorder-add-new-profile-text">Add a new profile into the system</div>
        <div class="d-flex direction-row flex-wrap justify-content-between">
          <div class="e-order-firstname">
            <div class="e-order-text">
              <label class="e-order-firstname-label">First Name</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <input placeholder="" ng-model="$ctrl.firstName" class="form-control {{$ctrl.firstNameValidation}} e-order-firstname-input"/>
            <div class="invalid-feedback">
              Please enter first names
            </div>
          </div>
          <div class="e-order-firstname">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Last Name</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <input placeholder="" ng-model="$ctrl.lastName" class="form-control {{$ctrl.lastNameValidation}} e-order-firstname-input"/>
            <div class="invalid-feedback">
              Please enter last name
            </div>
          </div>
          <div class="e-order-firstname">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Gender</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <div class="form-group">
              <select ng-model="$ctrl.gender" class="custom-select {{$ctrl.genderValidation}} e-order-firstname-input e-order-select-option">
                <option value="">Select</option>
                <option value="male">Male</option>
                <option value="female">Female</option>
                <option value="others">Others</option>
              </select>
              <div class="invalid-feedback">
                Please select gender
              </div>
            </div>
          </div>
          <div class="e-order-firstname">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Identification Type</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <div class="form-group">
              <select ng-model="$ctrl.identificationType" class="custom-select {{$ctrl.identificationTypeValidation}} e-order-firstname-input e-order-select-option">
                <option value="">Select</option>
                <option value="nric/fin">NRIC/FIN</option>
                <option value="driver_license">Driver’s License</option>
                <option value="passport_number">Passport Number</option>
                <option value="others">Others</option>
              </select>
              <div class="invalid-feedback">
                Please select identification type
              </div>
            </div>
          </div>
        </div>
        <div class="d-flex direction-row flex-wrap justify-content-between">
          <div class="e-order-firstname">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Identification Number</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <input placeholder="" ng-model="$ctrl.identificationNumber" class="form-control {{$ctrl.identificationNumberValidation}} e-order-firstname-input"/>
            <div class="invalid-feedback">
              Please enter identification number
            </div>
          </div>
          <div class="e-order-firstname">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Nationality</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <div class="form-group">
              <select name="nationality" ng-model="$ctrl.nationality" class="custom-select {{$ctrl.nationalityValidation}} e-order-firstname-input e-order-select-option" ng-model="nationality">
                <option value="">Select</option>
                <option value="a">Afghan</option>
                <option value="b">Albanian</option>
                <option value="c">Algerian</option>
              </select>
              <div class="invalid-feedback">
                Please select nationality
              </div>
            </div>
          </div>
          <div class="e-order-firstname">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Ethnicity</label>
            </div>
            <select ng-model="$ctrl.ethnicity" class="e-order-firstname-input e-order-select-option">
              <option value="">Select</option>
              <option value="a">Chinese</option>
              <option value="malay">Malay</option>
              <option value="indian">Indian</option>
              <option value="eurasian">Eurasian</option>
              <option value="others">Others</option>
            </select>
          </div>
          <div class="e-order-firstname">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Date of Birth</label>
            </div>
            <div class="e-order-dob">
              <input placeholder="Day" ng-modal="$ctrl.day" class="e-order-dob-input-day" />
              <select ng-modal="$ctrl.month" class="e-order-firstname-input e-order-select-dob-option">
                <option value="">Mon</option>
                <option value="jan">Jan</option>
                <option value="feb">Feb</option>
                <option value="mar">Mar</option>
                <option value="apr">Apr</option>
                <option value="may">May</option>
                <option value="jun">Jun</option>
                <option value="jul">Jul</option>
                <option value="aug">Aug</option>
                <option value="sep">Sep</option>
                <option value="oct">Oct</option>
                <option value="nov">Nov</option>
                <option value="dec">Dec</option>
              </select>
              <input placeholder="Year" ng-modal="$ctrl.year" class="e-order-dob-input-year" />
            </div>
          </div>
        </div>
        <hr />
        <div class="eorder-add-patient-text">Patient Contact information </div>
        <div class="d-flex direction-row flex-wrap justify-content-between">
          <div class="e-order-firstname">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Address</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <input placeholder="" ng-model="$ctrl.address" class="form-control {{$ctrl.addressValidation}} e-order-firstname-input" />
            <div class="invalid-feedback">
              Please enter address
            </div>
          </div>
          <div class="e-order-firstname">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Postal Code</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <input placeholder="" ng-model="$ctrl.postalCode" class="form-control {{$ctrl.postalCodeValidation}} e-order-firstname-input" />
            <div class="invalid-feedback">
              Please enter postal code
            </div>
          </div>
          <div class="e-order-firstname">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Contact Number</label>
            </div>
            <div class="e-order-contact-number">
              <biomark-mobile  invalid="false"></biomark-mobile>
            </div>
          </div>
          <div class="e-order-firstname">
            <div class="e-order-text">
              <label class="e-order-firstname-label">Mobile Number</label>
              <div class="e-order-required-icon">*</div>
            </div>
            <div class="e-order-contact-number">
              <biomark-mobile  invalid="false"></biomark-mobile>
            </div>
          </div>
        </div>
        <div class="e-order-firstname">
          <div class="e-order-text">
            <label class="e-order-firstname-label">Email</label>
            <div class="e-order-required-icon">*</div>
          </div>
          <input placeholder="" ng-model="$ctrl.email" class="form-control {{$ctrl.emailValidation}} e-order-firstname-input" />
          <div class="invalid-feedback">
            Please enter valid email
          </div>
          <div>
  
          </div>
        </div>
        <div class="d-flex direction-row w-100 justify-content-end mt-2">
          <button class="btn bio-btn-view e-order-common-btn mr-3" ng-click="$ctrl.getData()">Add</button>
          <!-- <button class="btn bio-btn-view e-order-common-btn d-none d-md-block" ng-if="$ctrl.hideNextButton === true" ng-click="$ctrl.addPatient()">Add</button> -->
          <button class="btn bio-btn-view e-order-common-btn e-order-cancel-button mr-0" ng-click='$ctrl.closeModal()'>Cancel</button>
        </div>
       </div>
    </form>
  </div>
  </div>
  <div ng-if="$ctrl.result_sent_modal" class="biomark-modal">
    <div class="modal_container small">
        <div class="modal-closer-icon" ng-click="$ctrl.close_release_notice()">
            <i class="material-icons md-14">close</i>
        </div>
        <div class="modal-body-sm text-center">
            <div class="modal-custom-icon-green">
                <i class="material-icons md-50 bio-m-icon">check</i>
            </div>
            <h3>Patient Profile Created</h3>
            <p>This profile has been added</p>
            <!-- <p class="warning-msg">Your patient’s test results have been marked as “Reviewed”.</p> -->
            <!-- <p class="warning-msg">Your patient’s test results have been sent!</p> -->
            <!-- <p class="warning-description">Your patient will be notified that their test results are ready to view on
                their BioMark app.</p> -->
            <p>
                <a href="" class="back" ng-click="$ctrl.close_release_notice()">Close</a>
            </p>
            <br>
        </div>
    </div>
  </div>